commit:     cb7dbc61a99c90cbde0c4052783bc58302455633
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 15 15:36:50 2016 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sat Oct 15 15:42:40 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cb7dbc61

media-video/pitivi: version bump 0.96-r1 → 0.97

Gentoo-bug: 594096

Package-Manager: portage-2.3.1

 media-video/pitivi/Manifest                        |   1 +
 .../files/pitivi-0.97.1-optional-tests.patch       |  21 +++++
 media-video/pitivi/pitivi-0.97.1.ebuild            | 105 +++++++++++++++++++++
 3 files changed, 127 insertions(+)

diff --git a/media-video/pitivi/Manifest b/media-video/pitivi/Manifest
index 4176221..29191e7 100644
--- a/media-video/pitivi/Manifest
+++ b/media-video/pitivi/Manifest
@@ -1,2 +1,3 @@
 DIST pitivi-0.95.tar.xz 3341488 SHA256 
5f15220bcc3d02cef4edacaa19da284014caf725e41fc9cbec70469582e1d313 SHA512 
e628302ecbb790e955459a4dc124e8580081f6eff8abde210a1b537ae18696c3861bd619efe1434e8e1cf1069adb72cbff0cf44c64706c4046d2cfb7f9aecdfa
 WHIRLPOOL 
df6e625dddcf113a8e84aabf5a7a40d90e6b38130e63201a1674f4a576a735696c6b9a9a35b2743cbe5bac8d444c04cd0ea9c5a43358718e1b32b6ebc97f435c
 DIST pitivi-0.96.tar.xz 3324396 SHA256 
fa0b469bb71ea10138144ec2adbe3e575d33678b5e48fc906e5e8cb8eb19ad84 SHA512 
dd608effc1f7196ac4784d707ec5a6f25088a3a216262a004ed81fd4e078bc80dde67c0601cc690b4b6a3a8febeef6bd841c30513449cbf722aa23d5d655f00d
 WHIRLPOOL 
4a61842cbd7704e2c2445fb47ce8016fc96be543b72825d092bfbcf6d35fdd3944d5395a09386c6102ffb1fc672a1c8226f7c48390cce43bcb23563b3fce6478
+DIST pitivi-0.97.1.tar.xz 5096672 SHA256 
41b23cfd21353647e55a0b2e86bab368b61d6f1a76cc132e80ca0dd27f000e77 SHA512 
be5fcf5148349f685f0ee23a82b36d90fe0b7ff6d1d8cdcaf73272b8e5c29ddfe1d6c21353eb95f2d786fe4922a93c747403e5e27141d815f5b46f846a1d95ba
 WHIRLPOOL 
dae38565e8665abdf4eacb76ecc87530f2a429266572bbd5db3138e31fa1ae949dafb077dcfffb75fe094c3b55839fba2259690aa5faa1258647b546f661e2e0

diff --git a/media-video/pitivi/files/pitivi-0.97.1-optional-tests.patch 
b/media-video/pitivi/files/pitivi-0.97.1-optional-tests.patch
new file mode 100644
index 00000000..cfc86dc
--- /dev/null
+++ b/media-video/pitivi/files/pitivi-0.97.1-optional-tests.patch
@@ -0,0 +1,21 @@
+make tests optional
+
+--- a/meson_options.txt        2016-09-19 23:35:54.944511834 +0200
++++ b/meson_options.txt        2016-09-19 23:36:10.693485976 +0200
+@@ -1,2 +1,3 @@
+ option('enable-xunit', type : 'boolean', value : false)
+ option('disable-help', type : 'boolean', value : false)
++option('enable-tests', type : 'boolean', value : false)
+--- a/meson.build      2016-09-19 23:35:06.694590798 +0200
++++ b/meson.build      2016-09-19 23:35:45.092527990 +0200
+@@ -57,7 +57,9 @@
+ if not get_option('disable-help')
+     subdir('help')
+ endif
+-subdir('tests')
++if get_option('enable-tests')
++    subdir('tests')
++endif
+ 
+ archiver = find_program('git-archive-all', required : false)
+ if archiver.found()

diff --git a/media-video/pitivi/pitivi-0.97.1.ebuild 
b/media-video/pitivi/pitivi-0.97.1.ebuild
new file mode 100644
index 00000000..0108a3f
--- /dev/null
+++ b/media-video/pitivi/pitivi-0.97.1.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python{3_3,3_4,3_5} )
+PYTHON_REQ_USE="sqlite"
+
+inherit gnome2 python-single-r1 virtualx
+
+DESCRIPTION="A non-linear video editor using the GStreamer multimedia 
framework"
+HOMEPAGE="http://www.pitivi.org";
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="v4l test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# some of the tests fail with timeouts, others with VA errors
+RESTRICT="test"
+
+# XXX: recommends gst-plugins-libav and frei0r-plugins
+
+# Do not forget to check pitivi/check.py for dependencies!!!
+# pycanberra, gnome-desktop, libav, libnotify and liwnck are optional
+GST_VER="1.8.2"
+
+COMMON_DEPEND="
+       ${PYTHON_DEPS}
+       >=dev-python/pycairo-1.10[${PYTHON_USEDEP}]
+       >=x11-libs/cairo-1.10
+
+       >=media-libs/gstreamer-${GST_VER}:1.0[introspection]
+       >=media-plugins/gst-transcoder-1.8.1
+"
+RDEPEND="${COMMON_DEPEND}
+       >=dev-libs/glib-2.30.0:2
+
+       >=dev-libs/gobject-introspection-1.34:=
+       dev-python/dbus-python[${PYTHON_USEDEP}]
+       >=dev-python/gst-python-1.4:1.0[${PYTHON_USEDEP}]
+       dev-python/matplotlib[${PYTHON_USEDEP}]
+       dev-python/numpy[${PYTHON_USEDEP}]
+       dev-python/pycanberra[${PYTHON_USEDEP}]
+       >=dev-python/pygobject-3.8:3[${PYTHON_USEDEP}]
+
+       gnome-base/librsvg:=
+       gnome-base/gnome-desktop:3=[introspection]
+
+       >=media-libs/gstreamer-editing-services-${GST_VER}:1.0[introspection]
+       >=media-libs/gst-plugins-base-${GST_VER}:1.0[introspection]
+       >=media-libs/gst-plugins-bad-${GST_VER}:1.0[gtk]
+       >=media-libs/gst-plugins-good-${GST_VER}:1.0
+       >=media-plugins/gst-plugins-libav-${GST_VER}:1.0
+
+       x11-libs/libnotify[introspection]
+       x11-libs/libwnck:3[introspection]
+       >=x11-libs/gtk+-3.20.0:3[introspection]
+
+       v4l? ( >=media-plugins/gst-plugins-v4l2-${GST_VER}:1.0 )
+"
+DEPEND="${RDEPEND}
+       app-text/yelp-tools
+       dev-python/setuptools
+       >=dev-util/intltool-0.35.5
+       >=dev-util/meson-0.28.0
+       dev-util/itstool
+       sys-devel/gettext
+       virtual/pkgconfig
+       test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+PATCHES=(
+       # Make tests optional, bug #594096
+       "${FILESDIR}"/${P}-optional-tests.patch
+)
+
+src_configure() {
+       # Not a normal configure
+       # --buildtype=plain needed for honoring CFLAGS/CXXFLAGS and not
+       # defaulting to debug
+       ./configure \
+               --prefix=/usr \
+               --buildtype=plain \
+               -Denable-tests=$(usex test true false) \
+               || die
+}
+
+src_compile() {
+       # We cannot use 'make' as it won't allow us to build verbosely
+       cd mesonbuild && ninja -v
+}
+
+src_test() {
+       export PITIVI_TOP_LEVEL_DIR="${S}"
+       virtx emake check
+}
+
+src_install() {
+       gnome2_src_install
+       python_fix_shebang "${D}"
+}

Reply via email to